TK4.1 INSTALL???

TK4.1 INSTALL???

Post by Nate Patwardha » Sat, 18 May 1996 04:00:00



Hello, I am running a Linux box with 1.2.13, X, etc.  I presently have
Tcl7.5, and Tk4.0 installed ... I am looking for a Linux binary of
Tk4.1, OR a FAQ about compiling Tk4.1 for Linux.  I have been hacking a
the Makefile and config scripts, BUT things are not going my way at the
moment.

Any help is appreciated!

Thanks,

Nathan V. Patwardhan

 
 
 

1. Cannot install tk4.0 on Linux :-(

OS: Linux 1.2.8
GCC: 2.7.0

When I compile tk4.0 I get the following errors,

gcc -O -I. -I./../tcl7.4 -I/usr/X11R6/include -DHAVE_UNISTD_H=1 -DHAVE_LIMITS_H=1 -DSTDC_HEADERS=1 -DTK_FILE_READ_PTR=1      -DTK_LIBRARY=\"/usr/lib/tk4.0\" tkAppInit.o libtk.a ../tcl7.4/libtcl.a -L/usr/X11R6/lib -lX11  -lieee -lm -o wish
tkMain.o(.text+0x274): undefined reference to `XSynchronize'
tkWindow.o(.text+0x1fa): undefined reference to `XOpenDisplay'
tkWindow.o(.text+0xcb3): undefined reference to `XDestroyWindow'
tkWindow.o(.text+0xd0d): undefined reference to `XDestroyIC'
tkWindow.o(.text+0xe9f): undefined reference to `XMapWindow'
tkWindow.o(.text+0xf1b): undefined reference to `XRootWindow'
tkWindow.o(.text+0xf4b): undefined reference to `XConfigureWindow'
tkWindow.o(.text+0xfa6): undefined reference to `XCreateWindow'

I get many such errors. Any idea what is the problem?

thanks

--


The Dalmatian Group Inc.        | Home page: http://www.jagunet.com/~mahesh/
  User Interface Specialists    | FAQ Maintainer of TeleUSE GUI Builder

2. ANNOUNCE: Fortify for Netscape v1.2.1; worldwide 128-bit encryption

3. installing tk4.0 over tk3.6

4. video card driver

5. installing tk4.0 on linux

6. reasons for failed initialization of swap-device

7. Where's tk4.1a2-shared?

8. Installation - SUSE 7.0

9. How to: tcl7.5a1 and tk4.1a1 for Linux ELF

10. ** Problems (Severe) with Tk4.0b2 and Linux on PC **

11. Compiling tcl7.4 and tk4.0 under LInux for ELF

12. Tk4.1 Won't Compile

13. Problem compiling tk4.0p1